[
    {
        "name": "fig/http-message-util",
        "version": "1.1.4",
        "version_normalized": "1.1.4.0",
        "source": {
            "type": "git",
            "url": "https://github.com/php-fig/http-message-util.git",
            "reference": "3242caa9da7221a304b8f84eb9eaddae0a7cf422"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/php-fig/http-message-util/zipball/3242caa9da7221a304b8f84eb9eaddae0a7cf422",
            "reference": "3242caa9da7221a304b8f84eb9eaddae0a7cf422",
            "shasum": ""
        },
        "require": {
            "php": "^5.3 || ^7.0"
        },
        "suggest": {
            "psr/http-message": "The package containing the PSR-7 interfaces"
        },
        "time": "2020-02-05T20:36:27+00:00",
        "type": "library",
        "extra": {
            "branch-alias": {
                "dev-master": "1.1.x-dev"
            }
        },
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "Fig\\Http\\Message\\": "src/"
            }
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "PHP-FIG",
                "homepage": "http://www.php-fig.org/"
            }
        ],
        "description": "Utility classes and constants for use with PSR-7 (psr/http-message)",
        "keywords": [
            "http",
            "http-message",
            "psr",
            "psr-7",
            "request",
            "response"
        ]
    },
    {
        "name": "firebase/php-jwt",
        "version": "v5.2.0",
        "version_normalized": "5.2.0.0",
        "source": {
            "type": "git",
            "url": "https://github.com/firebase/php-jwt.git",
            "reference": "feb0e820b8436873675fd3aca04f3728eb2185cb"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/firebase/php-jwt/zipball/feb0e820b8436873675fd3aca04f3728eb2185cb",
            "reference": "feb0e820b8436873675fd3aca04f3728eb2185cb",
            "shasum": ""
        },
        "require": {
            "php": ">=5.3.0"
        },
        "require-dev": {
            "phpunit/phpunit": ">=4.8 <=9"
        },
        "time": "2020-03-25T18:49:23+00:00",
        "type": "library",
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "Firebase\\JWT\\": "src"
            }
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "BSD-3-Clause"
        ],
        "authors": [
            {
                "name": "Neuman Vong",
                "email": "neuman+pear@twilio.com",
                "role": "Developer"
            },
            {
                "name": "Anant Narayanan",
                "email": "anant@php.net",
                "role": "Developer"
            }
        ],
        "description": "A simple library to encode and decode JSON Web Tokens (JWT) in PHP. Should conform to the current spec.",
        "homepage": "https://github.com/firebase/php-jwt",
        "keywords": [
            "jwt",
            "php"
        ]
    },
    {
        "name": "guzzlehttp/psr7",
        "version": "1.6.1",
        "version_normalized": "1.6.1.0",
        "source": {
            "type": "git",
            "url": "https://github.com/guzzle/psr7.git",
            "reference": "239400de7a173fe9901b9ac7c06497751f00727a"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/guzzle/psr7/zipball/239400de7a173fe9901b9ac7c06497751f00727a",
            "reference": "239400de7a173fe9901b9ac7c06497751f00727a",
            "shasum": ""
        },
        "require": {
            "php": ">=5.4.0",
            "psr/http-message": "~1.0",
            "ralouphie/getallheaders": "^2.0.5 || ^3.0.0"
        },
        "provide": {
            "psr/http-message-implementation": "1.0"
        },
        "require-dev": {
            "ext-zlib": "*",
            "phpunit/phpunit": "~4.8.36 || ^5.7.27 || ^6.5.8"
        },
        "suggest": {
            "zendframework/zend-httphandlerrunner": "Emit PSR-7 responses"
        },
        "time": "2019-07-01T23:21:34+00:00",
        "type": "library",
        "extra": {
            "branch-alias": {
                "dev-master": "1.6-dev"
            }
        },
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "GuzzleHttp\\Psr7\\": "src/"
            },
            "files": [
                "src/functions_include.php"
            ]
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "Michael Dowling",
                "email": "mtdowling@gmail.com",
                "homepage": "https://github.com/mtdowling"
            },
            {
                "name": "Tobias Schultze",
                "homepage": "https://github.com/Tobion"
            }
        ],
        "description": "PSR-7 message implementation that also provides common utility methods",
        "keywords": [
            "http",
            "message",
            "psr-7",
            "request",
            "response",
            "stream",
            "uri",
            "url"
        ]
    },
    {
        "name": "http-interop/http-factory-guzzle",
        "version": "1.0.0",
        "version_normalized": "1.0.0.0",
        "source": {
            "type": "git",
            "url": "https://github.com/http-interop/http-factory-guzzle.git",
            "reference": "34861658efb9899a6618cef03de46e2a52c80fc0"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/http-interop/http-factory-guzzle/zipball/34861658efb9899a6618cef03de46e2a52c80fc0",
            "reference": "34861658efb9899a6618cef03de46e2a52c80fc0",
            "shasum": ""
        },
        "require": {
            "guzzlehttp/psr7": "^1.4.2",
            "psr/http-factory": "^1.0"
        },
        "provide": {
            "psr/http-factory-implementation": "^1.0"
        },
        "require-dev": {
            "http-interop/http-factory-tests": "^0.5",
            "phpunit/phpunit": "^6.5"
        },
        "time": "2018-07-31T19:32:56+00:00",
        "type": "library",
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "Http\\Factory\\Guzzle\\": "src/"
            }
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "PHP-FIG",
                "homepage": "http://www.php-fig.org/"
            }
        ],
        "description": "An HTTP Factory using Guzzle PSR7",
        "keywords": [
            "factory",
            "http",
            "psr-17",
            "psr-7"
        ]
    },
    {
        "name": "laminas/laminas-diactoros",
        "version": "2.2.3",
        "version_normalized": "2.2.3.0",
        "source": {
            "type": "git",
            "url": "https://github.com/laminas/laminas-diactoros.git",
            "reference": "b596c7141f5093aefec94cb5e8745212299e290f"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/laminas/laminas-diactoros/zipball/b596c7141f5093aefec94cb5e8745212299e290f",
            "reference": "b596c7141f5093aefec94cb5e8745212299e290f",
            "shasum": ""
        },
        "require": {
            "laminas/laminas-zendframework-bridge": "^1.0",
            "php": "^7.1",
            "psr/http-factory": "^1.0",
            "psr/http-message": "^1.0"
        },
        "conflict": {
            "phpspec/prophecy": "<1.9.0"
        },
        "provide": {
            "psr/http-factory-implementation": "1.0",
            "psr/http-message-implementation": "1.0"
        },
        "replace": {
            "zendframework/zend-diactoros": "^2.2.1"
        },
        "require-dev": {
            "ext-curl": "*",
            "ext-dom": "*",
            "ext-libxml": "*",
            "http-interop/http-factory-tests": "^0.5.0",
            "laminas/laminas-coding-standard": "~1.0.0",
            "php-http/psr7-integration-tests": "^1.0",
            "phpunit/phpunit": "^7.5.18"
        },
        "time": "2020-03-29T12:30:54+00:00",
        "type": "library",
        "extra": {
            "branch-alias": {
                "dev-master": "2.1.x-dev",
                "dev-develop": "2.2.x-dev",
                "dev-release-1.8": "1.8.x-dev"
            }
        },
        "installation-source": "dist",
        "autoload": {
            "files": [
                "src/functions/create_uploaded_file.php",
                "src/functions/marshal_headers_from_sapi.php",
                "src/functions/marshal_method_from_sapi.php",
                "src/functions/marshal_protocol_version_from_sapi.php",
                "src/functions/marshal_uri_from_sapi.php",
                "src/functions/normalize_server.php",
                "src/functions/normalize_uploaded_files.php",
                "src/functions/parse_cookie_header.php",
                "src/functions/create_uploaded_file.legacy.php",
                "src/functions/marshal_headers_from_sapi.legacy.php",
                "src/functions/marshal_method_from_sapi.legacy.php",
                "src/functions/marshal_protocol_version_from_sapi.legacy.php",
                "src/functions/marshal_uri_from_sapi.legacy.php",
                "src/functions/normalize_server.legacy.php",
                "src/functions/normalize_uploaded_files.legacy.php",
                "src/functions/parse_cookie_header.legacy.php"
            ],
            "psr-4": {
                "Laminas\\Diactoros\\": "src/"
            }
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "BSD-3-Clause"
        ],
        "description": "PSR HTTP Message implementations",
        "homepage": "https://laminas.dev",
        "keywords": [
            "http",
            "laminas",
            "psr",
            "psr-7"
        ]
    },
    {
        "name": "laminas/laminas-zendframework-bridge",
        "version": "1.0.3",
        "version_normalized": "1.0.3.0",
        "source": {
            "type": "git",
            "url": "https://github.com/laminas/laminas-zendframework-bridge.git",
            "reference": "bfbbdb6c998d50dbf69d2187cb78a5f1fa36e1e9"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/laminas/laminas-zendframework-bridge/zipball/bfbbdb6c998d50dbf69d2187cb78a5f1fa36e1e9",
            "reference": "bfbbdb6c998d50dbf69d2187cb78a5f1fa36e1e9",
            "shasum": ""
        },
        "require": {
            "php": "^5.6 || ^7.0"
        },
        "require-dev": {
            "phpunit/phpunit": "^5.7 || ^6.5 || ^7.5 || ^8.1",
            "squizlabs/php_codesniffer": "^3.5"
        },
        "time": "2020-04-03T16:01:00+00:00",
        "type": "library",
        "extra": {
            "branch-alias": {
                "dev-master": "1.0.x-dev",
                "dev-develop": "1.1.x-dev"
            },
            "laminas": {
                "module": "Laminas\\ZendFrameworkBridge"
            }
        },
        "installation-source": "dist",
        "autoload": {
            "files": [
                "src/autoload.php"
            ],
            "psr-4": {
                "Laminas\\ZendFrameworkBridge\\": "src//"
            }
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "BSD-3-Clause"
        ],
        "description": "Alias legacy ZF class names to Laminas Project equivalents.",
        "keywords": [
            "ZendFramework",
            "autoloading",
            "laminas",
            "zf"
        ],
        "funding": [
            {
                "url": "https://funding.communitybridge.org/projects/laminas-project",
                "type": "community_bridge"
            }
        ]
    },
    {
        "name": "maennchen/zipstream-php",
        "version": "2.1.0",
        "version_normalized": "2.1.0.0",
        "source": {
            "type": "git",
            "url": "https://github.com/maennchen/ZipStream-PHP.git",
            "reference": "c4c5803cc1f93df3d2448478ef79394a5981cc58"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/maennchen/ZipStream-PHP/zipball/c4c5803cc1f93df3d2448478ef79394a5981cc58",
            "reference": "c4c5803cc1f93df3d2448478ef79394a5981cc58",
            "shasum": ""
        },
        "require": {
            "myclabs/php-enum": "^1.5",
            "php": ">= 7.1",
            "psr/http-message": "^1.0",
            "symfony/polyfill-mbstring": "^1.0"
        },
        "require-dev": {
            "ext-zip": "*",
            "guzzlehttp/guzzle": ">= 6.3",
            "mikey179/vfsstream": "^1.6",
            "phpunit/phpunit": ">= 7.5"
        },
        "time": "2020-05-30T13:11:16+00:00",
        "type": "library",
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "ZipStream\\": "src/"
            }
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "Paul Duncan",
                "email": "pabs@pablotron.org"
            },
            {
                "name": "Jonatan Männchen",
                "email": "jonatan@maennchen.ch"
            },
            {
                "name": "Jesse Donat",
                "email": "donatj@gmail.com"
            },
            {
                "name": "András Kolesár",
                "email": "kolesar@kolesar.hu"
            }
        ],
        "description": "ZipStream is a library for dynamically streaming dynamic zip files from PHP without writing to the disk at all on the server.",
        "keywords": [
            "stream",
            "zip"
        ],
        "funding": [
            {
                "url": "https://opencollective.com/zipstream",
                "type": "open_collective"
            }
        ]
    },
    {
        "name": "markbaker/complex",
        "version": "2.0.0",
        "version_normalized": "2.0.0.0",
        "source": {
            "type": "git",
            "url": "https://github.com/MarkBaker/PHPComplex.git",
            "reference": "9999f1432fae467bc93c53f357105b4c31bb994c"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/MarkBaker/PHPComplex/zipball/9999f1432fae467bc93c53f357105b4c31bb994c",
            "reference": "9999f1432fae467bc93c53f357105b4c31bb994c",
            "shasum": ""
        },
        "require": {
            "php": "^7.2 || ^8.0"
        },
        "require-dev": {
            "dealerdirect/phpcodesniffer-composer-installer": "^0.7.0",
            "phpcompatibility/php-compatibility": "^9.0",
            "phpdocumentor/phpdocumentor": "2.*",
            "phploc/phploc": "^4.0",
            "phpmd/phpmd": "2.*",
            "phpunit/phpunit": "^7.0 || ^8.0 || ^9.3",
            "sebastian/phpcpd": "^4.0",
            "squizlabs/php_codesniffer": "^3.4"
        },
        "time": "2020-08-26T10:42:07+00:00",
        "type": "library",
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "Complex\\": "classes/src/"
            },
            "files": [
                "classes/src/functions/abs.php",
                "classes/src/functions/acos.php",
                "classes/src/functions/acosh.php",
                "classes/src/functions/acot.php",
                "classes/src/functions/acoth.php",
                "classes/src/functions/acsc.php",
                "classes/src/functions/acsch.php",
                "classes/src/functions/argument.php",
                "classes/src/functions/asec.php",
                "classes/src/functions/asech.php",
                "classes/src/functions/asin.php",
                "classes/src/functions/asinh.php",
                "classes/src/functions/atan.php",
                "classes/src/functions/atanh.php",
                "classes/src/functions/conjugate.php",
                "classes/src/functions/cos.php",
                "classes/src/functions/cosh.php",
                "classes/src/functions/cot.php",
                "classes/src/functions/coth.php",
                "classes/src/functions/csc.php",
                "classes/src/functions/csch.php",
                "classes/src/functions/exp.php",
                "classes/src/functions/inverse.php",
                "classes/src/functions/ln.php",
                "classes/src/functions/log2.php",
                "classes/src/functions/log10.php",
                "classes/src/functions/negative.php",
                "classes/src/functions/pow.php",
                "classes/src/functions/rho.php",
                "classes/src/functions/sec.php",
                "classes/src/functions/sech.php",
                "classes/src/functions/sin.php",
                "classes/src/functions/sinh.php",
                "classes/src/functions/sqrt.php",
                "classes/src/functions/tan.php",
                "classes/src/functions/tanh.php",
                "classes/src/functions/theta.php",
                "classes/src/operations/add.php",
                "classes/src/operations/subtract.php",
                "classes/src/operations/multiply.php",
                "classes/src/operations/divideby.php",
                "classes/src/operations/divideinto.php"
            ]
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "Mark Baker",
                "email": "mark@lange.demon.co.uk"
            }
        ],
        "description": "PHP Class for working with complex numbers",
        "homepage": "https://github.com/MarkBaker/PHPComplex",
        "keywords": [
            "complex",
            "mathematics"
        ]
    },
    {
        "name": "markbaker/matrix",
        "version": "2.0.0",
        "version_normalized": "2.0.0.0",
        "source": {
            "type": "git",
            "url": "https://github.com/MarkBaker/PHPMatrix.git",
            "reference": "9567d9c4c519fbe40de01dbd1e4469dbbb66f46a"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/MarkBaker/PHPMatrix/zipball/9567d9c4c519fbe40de01dbd1e4469dbbb66f46a",
            "reference": "9567d9c4c519fbe40de01dbd1e4469dbbb66f46a",
            "shasum": ""
        },
        "require": {
            "php": "^7.2 || ^8.0"
        },
        "require-dev": {
            "dealerdirect/phpcodesniffer-composer-installer": "^0.7.0",
            "phpcompatibility/php-compatibility": "^9.0",
            "phpdocumentor/phpdocumentor": "2.*",
            "phploc/phploc": "^4.0",
            "phpmd/phpmd": "2.*",
            "phpunit/phpunit": "^7.0 || ^8.0 || ^9.3",
            "sebastian/phpcpd": "^4.0",
            "squizlabs/php_codesniffer": "^3.4"
        },
        "time": "2020-08-28T17:11:00+00:00",
        "type": "library",
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "Matrix\\": "classes/src/"
            },
            "files": [
                "classes/src/functions/adjoint.php",
                "classes/src/functions/antidiagonal.php",
                "classes/src/functions/cofactors.php",
                "classes/src/functions/determinant.php",
                "classes/src/functions/diagonal.php",
                "classes/src/functions/identity.php",
                "classes/src/functions/inverse.php",
                "classes/src/functions/minors.php",
                "classes/src/functions/trace.php",
                "classes/src/functions/transpose.php",
                "classes/src/operations/add.php",
                "classes/src/operations/directsum.php",
                "classes/src/operations/subtract.php",
                "classes/src/operations/multiply.php",
                "classes/src/operations/divideby.php",
                "classes/src/operations/divideinto.php"
            ]
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "Mark Baker",
                "email": "mark@demon-angel.eu"
            }
        ],
        "description": "PHP Class for working with matrices",
        "homepage": "https://github.com/MarkBaker/PHPMatrix",
        "keywords": [
            "mathematics",
            "matrix",
            "vector"
        ]
    },
    {
        "name": "myclabs/php-enum",
        "version": "1.7.6",
        "version_normalized": "1.7.6.0",
        "source": {
            "type": "git",
            "url": "https://github.com/myclabs/php-enum.git",
            "reference": "5f36467c7a87e20fbdc51e524fd8f9d1de80187c"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/myclabs/php-enum/zipball/5f36467c7a87e20fbdc51e524fd8f9d1de80187c",
            "reference": "5f36467c7a87e20fbdc51e524fd8f9d1de80187c",
            "shasum": ""
        },
        "require": {
            "ext-json": "*",
            "php": ">=7.1"
        },
        "require-dev": {
            "phpunit/phpunit": "^7",
            "squizlabs/php_codesniffer": "1.*",
            "vimeo/psalm": "^3.8"
        },
        "time": "2020-02-14T08:15:52+00:00",
        "type": "library",
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "MyCLabs\\Enum\\": "src/"
            }
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "PHP Enum contributors",
                "homepage": "https://github.com/myclabs/php-enum/graphs/contributors"
            }
        ],
        "description": "PHP Enum implementation",
        "homepage": "http://github.com/myclabs/php-enum",
        "keywords": [
            "enum"
        ]
    },
    {
        "name": "neomerx/cors-psr7",
        "version": "v1.0.13",
        "version_normalized": "1.0.13.0",
        "source": {
            "type": "git",
            "url": "https://github.com/neomerx/cors-psr7.git",
            "reference": "2556e2013f16a55532c95928455257d5b6bbc6e2"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/neomerx/cors-psr7/zipball/2556e2013f16a55532c95928455257d5b6bbc6e2",
            "reference": "2556e2013f16a55532c95928455257d5b6bbc6e2",
            "shasum": ""
        },
        "require": {
            "php": ">=5.6.0",
            "psr/http-message": "^1.0",
            "psr/log": "^1.0"
        },
        "require-dev": {
            "mockery/mockery": "^1.0",
            "phpunit/phpunit": "^5.7",
            "scrutinizer/ocular": "^1.1",
            "squizlabs/php_codesniffer": "^3.0"
        },
        "time": "2018-05-23T16:10:11+00:00",
        "type": "library",
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "Neomerx\\Cors\\": "src/"
            }
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "Apache-2.0"
        ],
        "authors": [
            {
                "name": "neomerx",
                "email": "info@neomerx.com"
            }
        ],
        "description": "Framework agnostic (PSR-7) CORS implementation (www.w3.org/TR/cors/)",
        "homepage": "https://github.com/neomerx/cors-psr7",
        "keywords": [
            "Cross Origin Resource Sharing",
            "Cross-Origin Resource Sharing",
            "cors",
            "neomerx",
            "psr-7",
            "psr7",
            "w3.org",
            "www.w3.org"
        ]
    },
    {
        "name": "nikic/fast-route",
        "version": "v1.3.0",
        "version_normalized": "1.3.0.0",
        "source": {
            "type": "git",
            "url": "https://github.com/nikic/FastRoute.git",
            "reference": "181d480e08d9476e61381e04a71b34dc0432e812"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/nikic/FastRoute/zipball/181d480e08d9476e61381e04a71b34dc0432e812",
            "reference": "181d480e08d9476e61381e04a71b34dc0432e812",
            "shasum": ""
        },
        "require": {
            "php": ">=5.4.0"
        },
        "require-dev": {
            "phpunit/phpunit": "^4.8.35|~5.7"
        },
        "time": "2018-02-13T20:26:39+00:00",
        "type": "library",
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "FastRoute\\": "src/"
            },
            "files": [
                "src/functions.php"
            ]
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "BSD-3-Clause"
        ],
        "authors": [
            {
                "name": "Nikita Popov",
                "email": "nikic@php.net"
            }
        ],
        "description": "Fast request router for PHP",
        "keywords": [
            "router",
            "routing"
        ]
    },
    {
        "name": "nyholm/psr7",
        "version": "1.2.1",
        "version_normalized": "1.2.1.0",
        "source": {
            "type": "git",
            "url": "https://github.com/Nyholm/psr7.git",
            "reference": "55ff6b76573f5b242554c9775792bd59fb52e11c"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/Nyholm/psr7/zipball/55ff6b76573f5b242554c9775792bd59fb52e11c",
            "reference": "55ff6b76573f5b242554c9775792bd59fb52e11c",
            "shasum": ""
        },
        "require": {
            "php": "^7.1",
            "php-http/message-factory": "^1.0",
            "psr/http-factory": "^1.0",
            "psr/http-message": "^1.0"
        },
        "provide": {
            "psr/http-factory-implementation": "1.0",
            "psr/http-message-implementation": "1.0"
        },
        "require-dev": {
            "http-interop/http-factory-tests": "dev-master",
            "php-http/psr7-integration-tests": "dev-master",
            "phpunit/phpunit": "^7.5"
        },
        "time": "2019-09-05T13:24:16+00:00",
        "type": "library",
        "extra": {
            "branch-alias": {
                "dev-master": "1.0-dev"
            }
        },
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "Nyholm\\Psr7\\": "src/"
            }
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "Tobias Nyholm",
                "email": "tobias.nyholm@gmail.com"
            },
            {
                "name": "Martijn van der Ven",
                "email": "martijn@vanderven.se"
            }
        ],
        "description": "A fast PHP7 implementation of PSR-7",
        "homepage": "http://tnyholm.se",
        "keywords": [
            "psr-17",
            "psr-7"
        ]
    },
    {
        "name": "nyholm/psr7-server",
        "version": "0.4.1",
        "version_normalized": "0.4.1.0",
        "source": {
            "type": "git",
            "url": "https://github.com/Nyholm/psr7-server.git",
            "reference": "e6a526e9170e6e33a13efc2b61703ca476b7ea68"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/Nyholm/psr7-server/zipball/e6a526e9170e6e33a13efc2b61703ca476b7ea68",
            "reference": "e6a526e9170e6e33a13efc2b61703ca476b7ea68",
            "shasum": ""
        },
        "require": {
            "php": "^7.1",
            "psr/http-factory": "^1.0",
            "psr/http-message": "^1.0"
        },
        "require-dev": {
            "nyholm/nsa": "^1.1",
            "nyholm/psr7": "^1.0",
            "phpunit/phpunit": "^7.0"
        },
        "time": "2019-11-05T20:36:33+00:00",
        "type": "library",
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "Nyholm\\Psr7Server\\": "src/"
            }
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "Tobias Nyholm",
                "email": "tobias.nyholm@gmail.com"
            },
            {
                "name": "Martijn van der Ven",
                "email": "martijn@vanderven.se"
            }
        ],
        "description": "Helper classes to handle PSR-7 server requests",
        "homepage": "http://tnyholm.se",
        "keywords": [
            "psr-17",
            "psr-7"
        ]
    },
    {
        "name": "php-http/message-factory",
        "version": "v1.0.2",
        "version_normalized": "1.0.2.0",
        "source": {
            "type": "git",
            "url": "https://github.com/php-http/message-factory.git",
            "reference": "a478cb11f66a6ac48d8954216cfed9aa06a501a1"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/php-http/message-factory/zipball/a478cb11f66a6ac48d8954216cfed9aa06a501a1",
            "reference": "a478cb11f66a6ac48d8954216cfed9aa06a501a1",
            "shasum": ""
        },
        "require": {
            "php": ">=5.4",
            "psr/http-message": "^1.0"
        },
        "time": "2015-12-19T14:08:53+00:00",
        "type": "library",
        "extra": {
            "branch-alias": {
                "dev-master": "1.0-dev"
            }
        },
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "Http\\Message\\": "src/"
            }
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "Márk Sági-Kazár",
                "email": "mark.sagikazar@gmail.com"
            }
        ],
        "description": "Factory interfaces for PSR-7 HTTP Message",
        "homepage": "http://php-http.org",
        "keywords": [
            "factory",
            "http",
            "message",
            "stream",
            "uri"
        ]
    },
    {
        "name": "phpmailer/phpmailer",
        "version": "v6.1.7",
        "version_normalized": "6.1.7.0",
        "source": {
            "type": "git",
            "url": "https://github.com/PHPMailer/PHPMailer.git",
            "reference": "2c2370ba3df7034f9eb7b8f387c97b52b2ba5ad0"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/PHPMailer/PHPMailer/zipball/2c2370ba3df7034f9eb7b8f387c97b52b2ba5ad0",
            "reference": "2c2370ba3df7034f9eb7b8f387c97b52b2ba5ad0",
            "shasum": ""
        },
        "require": {
            "ext-ctype": "*",
            "ext-filter": "*",
            "php": ">=5.5.0"
        },
        "require-dev": {
            "doctrine/annotations": "^1.2",
            "friendsofphp/php-cs-fixer": "^2.2",
            "phpunit/phpunit": "^4.8 || ^5.7"
        },
        "suggest": {
            "ext-mbstring": "Needed to send email in multibyte encoding charset",
            "hayageek/oauth2-yahoo": "Needed for Yahoo XOAUTH2 authentication",
            "league/oauth2-google": "Needed for Google XOAUTH2 authentication",
            "psr/log": "For optional PSR-3 debug logging",
            "stevenmaguire/oauth2-microsoft": "Needed for Microsoft XOAUTH2 authentication",
            "symfony/polyfill-mbstring": "To support UTF-8 if the Mbstring PHP extension is not enabled (^1.2)"
        },
        "time": "2020-07-14T18:50:27+00:00",
        "type": "library",
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "PHPMailer\\PHPMailer\\": "src/"
            }
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "LGPL-2.1-only"
        ],
        "authors": [
            {
                "name": "Marcus Bointon",
                "email": "phpmailer@synchromedia.co.uk"
            },
            {
                "name": "Jim Jagielski",
                "email": "jimjag@gmail.com"
            },
            {
                "name": "Andy Prevost",
                "email": "codeworxtech@users.sourceforge.net"
            },
            {
                "name": "Brent R. Matzelle"
            }
        ],
        "description": "PHPMailer is a full-featured email creation and transfer class for PHP",
        "funding": [
            {
                "url": "https://github.com/synchro",
                "type": "github"
            }
        ]
    },
    {
        "name": "phpoffice/phpspreadsheet",
        "version": "1.15.0",
        "version_normalized": "1.15.0.0",
        "source": {
            "type": "git",
            "url": "https://github.com/PHPOffice/PhpSpreadsheet.git",
            "reference": "a8e8068b31b8119e1daa5b1eb5715a3a8ea8305f"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/PHPOffice/PhpSpreadsheet/zipball/a8e8068b31b8119e1daa5b1eb5715a3a8ea8305f",
            "reference": "a8e8068b31b8119e1daa5b1eb5715a3a8ea8305f",
            "shasum": ""
        },
        "require": {
            "ext-ctype": "*",
            "ext-dom": "*",
            "ext-fileinfo": "*",
            "ext-gd": "*",
            "ext-iconv": "*",
            "ext-libxml": "*",
            "ext-mbstring": "*",
            "ext-simplexml": "*",
            "ext-xml": "*",
            "ext-xmlreader": "*",
            "ext-xmlwriter": "*",
            "ext-zip": "*",
            "ext-zlib": "*",
            "maennchen/zipstream-php": "^2.1",
            "markbaker/complex": "^1.5|^2.0",
            "markbaker/matrix": "^1.2|^2.0",
            "php": "^7.2|^8.0",
            "psr/http-client": "^1.0",
            "psr/http-factory": "^1.0",
            "psr/simple-cache": "^1.0"
        },
        "require-dev": {
            "dompdf/dompdf": "^0.8.5",
            "friendsofphp/php-cs-fixer": "^2.16",
            "jpgraph/jpgraph": "^4.0",
            "mpdf/mpdf": "^8.0",
            "phpcompatibility/php-compatibility": "^9.3",
            "phpunit/phpunit": "^8.5|^9.3",
            "squizlabs/php_codesniffer": "^3.5",
            "tecnickcom/tcpdf": "^6.3"
        },
        "suggest": {
            "dompdf/dompdf": "Option for rendering PDF with PDF Writer (doesn't yet support PHP8)",
            "jpgraph/jpgraph": "Option for rendering charts, or including charts with PDF or HTML Writers",
            "mpdf/mpdf": "Option for rendering PDF with PDF Writer",
            "tecnickcom/tcpdf": "Option for rendering PDF with PDF Writer (doesn't yet support PHP8)"
        },
        "time": "2020-10-11T13:20:59+00:00",
        "type": "library",
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "PhpOffice\\PhpSpreadsheet\\": "src/PhpSpreadsheet"
            }
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "Maarten Balliauw",
                "homepage": "https://blog.maartenballiauw.be"
            },
            {
                "name": "Mark Baker",
                "homepage": "https://markbakeruk.net"
            },
            {
                "name": "Franck Lefevre",
                "homepage": "https://rootslabs.net"
            },
            {
                "name": "Erik Tilt"
            },
            {
                "name": "Adrien Crivelli"
            }
        ],
        "description": "PHPSpreadsheet - Read, Create and Write Spreadsheet documents in PHP - Spreadsheet engine",
        "homepage": "https://github.com/PHPOffice/PhpSpreadsheet",
        "keywords": [
            "OpenXML",
            "excel",
            "gnumeric",
            "ods",
            "php",
            "spreadsheet",
            "xls",
            "xlsx"
        ]
    },
    {
        "name": "psr/container",
        "version": "1.0.0",
        "version_normalized": "1.0.0.0",
        "source": {
            "type": "git",
            "url": "https://github.com/php-fig/container.git",
            "reference": "b7ce3b176482dbbc1245ebf52b181af44c2cf55f"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/php-fig/container/zipball/b7ce3b176482dbbc1245ebf52b181af44c2cf55f",
            "reference": "b7ce3b176482dbbc1245ebf52b181af44c2cf55f",
            "shasum": ""
        },
        "require": {
            "php": ">=5.3.0"
        },
        "time": "2017-02-14T16:28:37+00:00",
        "type": "library",
        "extra": {
            "branch-alias": {
                "dev-master": "1.0.x-dev"
            }
        },
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "Psr\\Container\\": "src/"
            }
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "PHP-FIG",
                "homepage": "http://www.php-fig.org/"
            }
        ],
        "description": "Common Container Interface (PHP FIG PSR-11)",
        "homepage": "https://github.com/php-fig/container",
        "keywords": [
            "PSR-11",
            "container",
            "container-interface",
            "container-interop",
            "psr"
        ]
    },
    {
        "name": "psr/http-client",
        "version": "1.0.1",
        "version_normalized": "1.0.1.0",
        "source": {
            "type": "git",
            "url": "https://github.com/php-fig/http-client.git",
            "reference": "2dfb5f6c5eff0e91e20e913f8c5452ed95b86621"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/php-fig/http-client/zipball/2dfb5f6c5eff0e91e20e913f8c5452ed95b86621",
            "reference": "2dfb5f6c5eff0e91e20e913f8c5452ed95b86621",
            "shasum": ""
        },
        "require": {
            "php": "^7.0 || ^8.0",
            "psr/http-message": "^1.0"
        },
        "time": "2020-06-29T06:28:15+00:00",
        "type": "library",
        "extra": {
            "branch-alias": {
                "dev-master": "1.0.x-dev"
            }
        },
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "Psr\\Http\\Client\\": "src/"
            }
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "PHP-FIG",
                "homepage": "http://www.php-fig.org/"
            }
        ],
        "description": "Common interface for HTTP clients",
        "homepage": "https://github.com/php-fig/http-client",
        "keywords": [
            "http",
            "http-client",
            "psr",
            "psr-18"
        ]
    },
    {
        "name": "psr/http-factory",
        "version": "1.0.1",
        "version_normalized": "1.0.1.0",
        "source": {
            "type": "git",
            "url": "https://github.com/php-fig/http-factory.git",
            "reference": "12ac7fcd07e5b077433f5f2bee95b3a771bf61be"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/php-fig/http-factory/zipball/12ac7fcd07e5b077433f5f2bee95b3a771bf61be",
            "reference": "12ac7fcd07e5b077433f5f2bee95b3a771bf61be",
            "shasum": ""
        },
        "require": {
            "php": ">=7.0.0",
            "psr/http-message": "^1.0"
        },
        "time": "2019-04-30T12:38:16+00:00",
        "type": "library",
        "extra": {
            "branch-alias": {
                "dev-master": "1.0.x-dev"
            }
        },
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "Psr\\Http\\Message\\": "src/"
            }
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "PHP-FIG",
                "homepage": "http://www.php-fig.org/"
            }
        ],
        "description": "Common interfaces for PSR-7 HTTP message factories",
        "keywords": [
            "factory",
            "http",
            "message",
            "psr",
            "psr-17",
            "psr-7",
            "request",
            "response"
        ]
    },
    {
        "name": "psr/http-message",
        "version": "1.0.1",
        "version_normalized": "1.0.1.0",
        "source": {
            "type": "git",
            "url": "https://github.com/php-fig/http-message.git",
            "reference": "f6561bf28d520154e4b0ec72be95418abe6d9363"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/php-fig/http-message/zipball/f6561bf28d520154e4b0ec72be95418abe6d9363",
            "reference": "f6561bf28d520154e4b0ec72be95418abe6d9363",
            "shasum": ""
        },
        "require": {
            "php": ">=5.3.0"
        },
        "time": "2016-08-06T14:39:51+00:00",
        "type": "library",
        "extra": {
            "branch-alias": {
                "dev-master": "1.0.x-dev"
            }
        },
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "Psr\\Http\\Message\\": "src/"
            }
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "PHP-FIG",
                "homepage": "http://www.php-fig.org/"
            }
        ],
        "description": "Common interface for HTTP messages",
        "homepage": "https://github.com/php-fig/http-message",
        "keywords": [
            "http",
            "http-message",
            "psr",
            "psr-7",
            "request",
            "response"
        ]
    },
    {
        "name": "psr/http-server-handler",
        "version": "1.0.1",
        "version_normalized": "1.0.1.0",
        "source": {
            "type": "git",
            "url": "https://github.com/php-fig/http-server-handler.git",
            "reference": "aff2f80e33b7f026ec96bb42f63242dc50ffcae7"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/php-fig/http-server-handler/zipball/aff2f80e33b7f026ec96bb42f63242dc50ffcae7",
            "reference": "aff2f80e33b7f026ec96bb42f63242dc50ffcae7",
            "shasum": ""
        },
        "require": {
            "php": ">=7.0",
            "psr/http-message": "^1.0"
        },
        "time": "2018-10-30T16:46:14+00:00",
        "type": "library",
        "extra": {
            "branch-alias": {
                "dev-master": "1.0.x-dev"
            }
        },
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "Psr\\Http\\Server\\": "src/"
            }
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "PHP-FIG",
                "homepage": "http://www.php-fig.org/"
            }
        ],
        "description": "Common interface for HTTP server-side request handler",
        "keywords": [
            "handler",
            "http",
            "http-interop",
            "psr",
            "psr-15",
            "psr-7",
            "request",
            "response",
            "server"
        ]
    },
    {
        "name": "psr/http-server-middleware",
        "version": "1.0.1",
        "version_normalized": "1.0.1.0",
        "source": {
            "type": "git",
            "url": "https://github.com/php-fig/http-server-middleware.git",
            "reference": "2296f45510945530b9dceb8bcedb5cb84d40c5f5"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/php-fig/http-server-middleware/zipball/2296f45510945530b9dceb8bcedb5cb84d40c5f5",
            "reference": "2296f45510945530b9dceb8bcedb5cb84d40c5f5",
            "shasum": ""
        },
        "require": {
            "php": ">=7.0",
            "psr/http-message": "^1.0",
            "psr/http-server-handler": "^1.0"
        },
        "time": "2018-10-30T17:12:04+00:00",
        "type": "library",
        "extra": {
            "branch-alias": {
                "dev-master": "1.0.x-dev"
            }
        },
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "Psr\\Http\\Server\\": "src/"
            }
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "PHP-FIG",
                "homepage": "http://www.php-fig.org/"
            }
        ],
        "description": "Common interface for HTTP server-side middleware",
        "keywords": [
            "http",
            "http-interop",
            "middleware",
            "psr",
            "psr-15",
            "psr-7",
            "request",
            "response"
        ]
    },
    {
        "name": "psr/log",
        "version": "1.1.3",
        "version_normalized": "1.1.3.0",
        "source": {
            "type": "git",
            "url": "https://github.com/php-fig/log.git",
            "reference": "0f73288fd15629204f9d42b7055f72dacbe811fc"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/php-fig/log/zipball/0f73288fd15629204f9d42b7055f72dacbe811fc",
            "reference": "0f73288fd15629204f9d42b7055f72dacbe811fc",
            "shasum": ""
        },
        "require": {
            "php": ">=5.3.0"
        },
        "time": "2020-03-23T09:12:05+00:00",
        "type": "library",
        "extra": {
            "branch-alias": {
                "dev-master": "1.1.x-dev"
            }
        },
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "Psr\\Log\\": "Psr/Log/"
            }
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "PHP-FIG",
                "homepage": "http://www.php-fig.org/"
            }
        ],
        "description": "Common interface for logging libraries",
        "homepage": "https://github.com/php-fig/log",
        "keywords": [
            "log",
            "psr",
            "psr-3"
        ]
    },
    {
        "name": "psr/simple-cache",
        "version": "1.0.1",
        "version_normalized": "1.0.1.0",
        "source": {
            "type": "git",
            "url": "https://github.com/php-fig/simple-cache.git",
            "reference": "408d5eafb83c57f6365a3ca330ff23aa4a5fa39b"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/php-fig/simple-cache/zipball/408d5eafb83c57f6365a3ca330ff23aa4a5fa39b",
            "reference": "408d5eafb83c57f6365a3ca330ff23aa4a5fa39b",
            "shasum": ""
        },
        "require": {
            "php": ">=5.3.0"
        },
        "time": "2017-10-23T01:57:42+00:00",
        "type": "library",
        "extra": {
            "branch-alias": {
                "dev-master": "1.0.x-dev"
            }
        },
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "Psr\\SimpleCache\\": "src/"
            }
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "PHP-FIG",
                "homepage": "http://www.php-fig.org/"
            }
        ],
        "description": "Common interfaces for simple caching",
        "keywords": [
            "cache",
            "caching",
            "psr",
            "psr-16",
            "simple-cache"
        ]
    },
    {
        "name": "ralouphie/getallheaders",
        "version": "3.0.3",
        "version_normalized": "3.0.3.0",
        "source": {
            "type": "git",
            "url": "https://github.com/ralouphie/getallheaders.git",
            "reference": "120b605dfeb996808c31b6477290a714d356e822"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/ralouphie/getallheaders/zipball/120b605dfeb996808c31b6477290a714d356e822",
            "reference": "120b605dfeb996808c31b6477290a714d356e822",
            "shasum": ""
        },
        "require": {
            "php": ">=5.6"
        },
        "require-dev": {
            "php-coveralls/php-coveralls": "^2.1",
            "phpunit/phpunit": "^5 || ^6.5"
        },
        "time": "2019-03-08T08:55:37+00:00",
        "type": "library",
        "installation-source": "dist",
        "autoload": {
            "files": [
                "src/getallheaders.php"
            ]
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "Ralph Khattar",
                "email": "ralph.khattar@gmail.com"
            }
        ],
        "description": "A polyfill for getallheaders."
    },
    {
        "name": "slim/csrf",
        "version": "1.0.0",
        "version_normalized": "1.0.0.0",
        "source": {
            "type": "git",
            "url": "https://github.com/slimphp/Slim-Csrf.git",
            "reference": "827c915a4cc93f1749f5a2556c33f3c86917a9ea"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/slimphp/Slim-Csrf/zipball/827c915a4cc93f1749f5a2556c33f3c86917a9ea",
            "reference": "827c915a4cc93f1749f5a2556c33f3c86917a9ea",
            "shasum": ""
        },
        "require": {
            "php": "^7.1",
            "psr/http-factory": "^1.0",
            "psr/http-message": "^1.0",
            "psr/http-server-handler": "^1.0",
            "psr/http-server-middleware": "^1.0"
        },
        "require-dev": {
            "phpspec/prophecy": "^1.8",
            "phpunit/phpunit": "^7.5",
            "squizlabs/php_codesniffer": "^3.4.2"
        },
        "time": "2019-09-13T14:32:01+00:00",
        "type": "library",
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "Slim\\Csrf\\": "src"
            }
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "Josh Lockhart",
                "email": "hello@joshlockhart.com",
                "homepage": "http://joshlockhart.com"
            }
        ],
        "description": "Slim Framework 4 CSRF protection PSR-15 middleware",
        "homepage": "http://slimframework.com",
        "keywords": [
            "csrf",
            "framework",
            "middleware",
            "slim"
        ]
    },
    {
        "name": "slim/psr7",
        "version": "1.0.0",
        "version_normalized": "1.0.0.0",
        "source": {
            "type": "git",
            "url": "https://github.com/slimphp/Slim-Psr7.git",
            "reference": "7ca5b5d96687b7c563238715cc80b12675d8b895"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/slimphp/Slim-Psr7/zipball/7ca5b5d96687b7c563238715cc80b12675d8b895",
            "reference": "7ca5b5d96687b7c563238715cc80b12675d8b895",
            "shasum": ""
        },
        "require": {
            "fig/http-message-util": "^1.1.2",
            "php": "^7.2",
            "psr/http-factory": "^1.0",
            "psr/http-message": "^1.0",
            "ralouphie/getallheaders": "^3"
        },
        "provide": {
            "psr/http-message-implementation": "1.0"
        },
        "require-dev": {
            "adriansuter/php-autoload-override": "^1.0",
            "ext-json": "*",
            "http-interop/http-factory-tests": "^0.6.0",
            "php-http/psr7-integration-tests": "dev-master",
            "phpstan/phpstan": "^0.12",
            "phpunit/phpunit": "^8.5",
            "squizlabs/php_codesniffer": "^3.5"
        },
        "time": "2020-01-04T23:05:43+00:00",
        "type": "library",
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "Slim\\Psr7\\": "src"
            }
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "Josh Lockhart",
                "email": "hello@joshlockhart.com",
                "homepage": "http://joshlockhart.com"
            },
            {
                "name": "Andrew Smith",
                "email": "a.smith@silentworks.co.uk",
                "homepage": "http://silentworks.co.uk"
            },
            {
                "name": "Rob Allen",
                "email": "rob@akrabat.com",
                "homepage": "http://akrabat.com"
            },
            {
                "name": "Pierre Berube",
                "email": "pierre@lgse.com",
                "homepage": "http://www.lgse.com"
            }
        ],
        "description": "Strict PSR-7 implementation",
        "homepage": "https://www.slimframework.com",
        "keywords": [
            "http",
            "psr-7",
            "psr7"
        ]
    },
    {
        "name": "slim/slim",
        "version": "4.5.0",
        "version_normalized": "4.5.0.0",
        "source": {
            "type": "git",
            "url": "https://github.com/slimphp/Slim.git",
            "reference": "5613cbb521081ed676d5d7eb3e44f2b80a818c24"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/slimphp/Slim/zipball/5613cbb521081ed676d5d7eb3e44f2b80a818c24",
            "reference": "5613cbb521081ed676d5d7eb3e44f2b80a818c24",
            "shasum": ""
        },
        "require": {
            "ext-json": "*",
            "nikic/fast-route": "^1.3",
            "php": "^7.2",
            "psr/container": "^1.0",
            "psr/http-factory": "^1.0",
            "psr/http-message": "^1.0",
            "psr/http-server-handler": "^1.0",
            "psr/http-server-middleware": "^1.0",
            "psr/log": "^1.1"
        },
        "require-dev": {
            "adriansuter/php-autoload-override": "^1.0",
            "ext-simplexml": "*",
            "guzzlehttp/psr7": "^1.5",
            "http-interop/http-factory-guzzle": "^1.0",
            "laminas/laminas-diactoros": "^2.1",
            "nyholm/psr7": "^1.1",
            "nyholm/psr7-server": "^0.3.0",
            "phpspec/prophecy": "^1.10",
            "phpstan/phpstan": "^0.11.5",
            "phpunit/phpunit": "^8.5",
            "slim/http": "^1.0",
            "slim/psr7": "^1.0",
            "squizlabs/php_codesniffer": "^3.5"
        },
        "suggest": {
            "ext-simplexml": "Needed to support XML format in BodyParsingMiddleware",
            "ext-xml": "Needed to support XML format in BodyParsingMiddleware",
            "php-di/php-di": "PHP-DI is the recommended container library to be used with Slim",
            "slim/psr7": "Slim PSR-7 implementation. See https://www.slimframework.com/docs/v4/start/installation.html for more information."
        },
        "time": "2020-04-14T20:49:48+00:00",
        "type": "library",
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "Slim\\": "Slim"
            }
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "Josh Lockhart",
                "email": "hello@joshlockhart.com",
                "homepage": "https://joshlockhart.com"
            },
            {
                "name": "Andrew Smith",
                "email": "a.smith@silentworks.co.uk",
                "homepage": "http://silentworks.co.uk"
            },
            {
                "name": "Rob Allen",
                "email": "rob@akrabat.com",
                "homepage": "http://akrabat.com"
            },
            {
                "name": "Pierre Berube",
                "email": "pierre@lgse.com",
                "homepage": "http://www.lgse.com"
            },
            {
                "name": "Gabriel Manricks",
                "email": "gmanricks@me.com",
                "homepage": "http://gabrielmanricks.com"
            }
        ],
        "description": "Slim is a PHP micro framework that helps you quickly write simple yet powerful web applications and APIs",
        "homepage": "https://www.slimframework.com",
        "keywords": [
            "api",
            "framework",
            "micro",
            "router"
        ],
        "funding": [
            {
                "url": "https://opencollective.com/slimphp",
                "type": "open_collective"
            },
            {
                "url": "https://tidelift.com/funding/github/packagist/slim/slim",
                "type": "tidelift"
            }
        ]
    },
    {
        "name": "symfony/polyfill-mbstring",
        "version": "v1.18.1",
        "version_normalized": "1.18.1.0",
        "source": {
            "type": "git",
            "url": "https://github.com/symfony/polyfill-mbstring.git",
            "reference": "a6977d63bf9a0ad4c65cd352709e230876f9904a"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/symfony/polyfill-mbstring/zipball/a6977d63bf9a0ad4c65cd352709e230876f9904a",
            "reference": "a6977d63bf9a0ad4c65cd352709e230876f9904a",
            "shasum": ""
        },
        "require": {
            "php": ">=5.3.3"
        },
        "suggest": {
            "ext-mbstring": "For best performance"
        },
        "time": "2020-07-14T12:35:20+00:00",
        "type": "library",
        "extra": {
            "branch-alias": {
                "dev-master": "1.18-dev"
            },
            "thanks": {
                "name": "symfony/polyfill",
                "url": "https://github.com/symfony/polyfill"
            }
        },
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "Symfony\\Polyfill\\Mbstring\\": ""
            },
            "files": [
                "bootstrap.php"
            ]
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "Nicolas Grekas",
                "email": "p@tchwork.com"
            },
            {
                "name": "Symfony Community",
                "homepage": "https://symfony.com/contributors"
            }
        ],
        "description": "Symfony polyfill for the Mbstring extension",
        "homepage": "https://symfony.com",
        "keywords": [
            "compatibility",
            "mbstring",
            "polyfill",
            "portable",
            "shim"
        ],
        "funding": [
            {
                "url": "https://symfony.com/sponsor",
                "type": "custom"
            },
            {
                "url": "https://github.com/fabpot",
                "type": "github"
            },
            {
                "url": "https://tidelift.com/funding/github/packagist/symfony/symfony",
                "type": "tidelift"
            }
        ]
    },
    {
        "name": "tuupola/base62",
        "version": "2.0.0",
        "version_normalized": "2.0.0.0",
        "source": {
            "type": "git",
            "url": "https://github.com/tuupola/base62.git",
            "reference": "3ad889519d5eda50a9c0793c66dda85f6a3787e9"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/tuupola/base62/zipball/3ad889519d5eda50a9c0793c66dda85f6a3787e9",
            "reference": "3ad889519d5eda50a9c0793c66dda85f6a3787e9",
            "shasum": ""
        },
        "require": {
            "php": "^7.1"
        },
        "require-dev": {
            "overtrue/phplint": "^1.0",
            "phpbench/phpbench": "^0.15.0",
            "phpstan/phpstan": "^0.10.6",
            "phpunit/phpunit": "^5.0|^6.0|^7.0",
            "squizlabs/php_codesniffer": "^3.0"
        },
        "suggest": {
            "ext-gmp": "GMP extension provides the fastest encoding and decoding."
        },
        "time": "2018-12-30T09:27:05+00:00",
        "type": "library",
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "Tuupola\\": "src"
            }
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "Mika Tuupola",
                "email": "tuupola@appelsiini.net",
                "homepage": "https://appelsiini.net/",
                "role": "Developer"
            }
        ],
        "description": "Base62 encoder and decoder for arbitrary data",
        "homepage": "https://github.com/tuupola/base62",
        "keywords": [
            "base62"
        ]
    },
    {
        "name": "tuupola/callable-handler",
        "version": "1.0.0",
        "version_normalized": "1.0.0.0",
        "source": {
            "type": "git",
            "url": "https://github.com/tuupola/callable-handler.git",
            "reference": "8b9d87f88056d4234af317d65612d7b6307a747a"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/tuupola/callable-handler/zipball/8b9d87f88056d4234af317d65612d7b6307a747a",
            "reference": "8b9d87f88056d4234af317d65612d7b6307a747a",
            "shasum": ""
        },
        "require": {
            "php": "^7.1",
            "psr/http-server-middleware": "^1.0"
        },
        "require-dev": {
            "codedungeon/phpunit-result-printer": "^0.4.4",
            "overtrue/phplint": "^1.0",
            "phpunit/phpunit": "^6.5",
            "squizlabs/php_codesniffer": "^3.2",
            "tuupola/http-factory": "^0.4.0|^1.0",
            "zendframework/zend-diactoros": "^1.6.0|^2.0"
        },
        "time": "2018-10-12T09:59:35+00:00",
        "type": "library",
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "Tuupola\\Middleware\\": "src"
            }
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "Mika Tuupola",
                "email": "tuupola@appelsiini.net",
                "homepage": "https://appelsiini.net/",
                "role": "Developer"
            }
        ],
        "description": "Compatibility layer for PSR-7 double pass and PSR-15 middlewares.",
        "homepage": "https://github.com/tuupola/callable-handler",
        "keywords": [
            "middleware",
            "psr-15",
            "psr-7"
        ]
    },
    {
        "name": "tuupola/cors-middleware",
        "version": "1.1.1",
        "version_normalized": "1.1.1.0",
        "source": {
            "type": "git",
            "url": "https://github.com/tuupola/cors-middleware.git",
            "reference": "a043f4f52b902ee8902f95d28aae05013a7180fc"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/tuupola/cors-middleware/zipball/a043f4f52b902ee8902f95d28aae05013a7180fc",
            "reference": "a043f4f52b902ee8902f95d28aae05013a7180fc",
            "shasum": ""
        },
        "require": {
            "neomerx/cors-psr7": "^1.0.4",
            "php": "^7.1",
            "psr/http-message": "^1.0.1",
            "psr/http-server-middleware": "^1.0",
            "tuupola/callable-handler": "^1.0",
            "tuupola/http-factory": "^1.0"
        },
        "require-dev": {
            "codedungeon/phpunit-result-printer": "^0.23.2",
            "equip/dispatch": "^2.0",
            "overtrue/phplint": "^1.0",
            "phpstan/phpstan": "^0.11.15",
            "phpunit/phpunit": "^7.4",
            "squizlabs/php_codesniffer": "^3.3.1",
            "zendframework/zend-diactoros": "^1.0|^2.0"
        },
        "time": "2019-10-30T11:18:16+00:00",
        "type": "library",
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "Tuupola\\Middleware\\": "src"
            }
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "Mika Tuupola",
                "email": "tuupola@appelsiini.net",
                "homepage": "https://appelsiini.net/",
                "role": "Developer"
            }
        ],
        "description": "PSR-7 and PSR-15 CORS middleware",
        "homepage": "https://github.com/tuupola/cors-middleware",
        "keywords": [
            "cors",
            "middleware",
            "psr-15",
            "psr-7"
        ]
    },
    {
        "name": "tuupola/http-factory",
        "version": "1.1.0",
        "version_normalized": "1.1.0.0",
        "source": {
            "type": "git",
            "url": "https://github.com/tuupola/http-factory.git",
            "reference": "5fbde4c65a10d09a85652684a6e569542265a749"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/tuupola/http-factory/zipball/5fbde4c65a10d09a85652684a6e569542265a749",
            "reference": "5fbde4c65a10d09a85652684a6e569542265a749",
            "shasum": ""
        },
        "require": {
            "php": "^7.1",
            "psr/http-factory": "^1.0"
        },
        "conflict": {
            "nyholm/psr7": "<1.0"
        },
        "provide": {
            "psr/http-factory-implementation": "^1.0"
        },
        "require-dev": {
            "http-interop/http-factory-tests": "^0.5.0",
            "overtrue/phplint": "^1.0",
            "phpunit/phpunit": "^6.0|^7.0",
            "squizlabs/php_codesniffer": "^3.0"
        },
        "time": "2019-08-07T07:10:58+00:00",
        "type": "library",
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "Tuupola\\Http\\Factory\\": "src"
            }
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "Mika Tuupola",
                "email": "tuupola@appelsiini.net",
                "homepage": "https://appelsiini.net/",
                "role": "Developer"
            }
        ],
        "description": "Lightweight autodiscovering PSR-17 HTTP factories",
        "homepage": "https://github.com/tuupola/http-factory",
        "keywords": [
            "http",
            "psr-17",
            "psr-7"
        ]
    },
    {
        "name": "tuupola/slim-basic-auth",
        "version": "3.2.1",
        "version_normalized": "3.2.1.0",
        "source": {
            "type": "git",
            "url": "https://github.com/tuupola/slim-basic-auth.git",
            "reference": "40f5efe991ac4e2441ee05b830375c02432ff3f8"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/tuupola/slim-basic-auth/zipball/40f5efe991ac4e2441ee05b830375c02432ff3f8",
            "reference": "40f5efe991ac4e2441ee05b830375c02432ff3f8",
            "shasum": ""
        },
        "require": {
            "php": "^7.1",
            "psr/http-message": "^1.0.1",
            "psr/http-server-middleware": "^1.0",
            "tuupola/callable-handler": "^0.3.0|^0.4.0|^1.0",
            "tuupola/http-factory": "^0.4.0|^1.0"
        },
        "require-dev": {
            "codedungeon/phpunit-result-printer": "^0.19.14",
            "equip/dispatch": "^2.0",
            "overtrue/phplint": "^1.1",
            "phpstan/phpstan": "^0.9.2",
            "phpunit/phpunit": "^7.0",
            "squizlabs/php_codesniffer": "^3.2",
            "zendframework/zend-diactoros": "^1.3|^2.0"
        },
        "time": "2018-10-15T12:48:00+00:00",
        "type": "library",
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "Tuupola\\Middleware\\": "src"
            }
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "Mika Tuupola",
                "email": "tuupola@appelsiini.net",
                "homepage": "https://appelsiini.net/"
            }
        ],
        "description": "PSR-7 and PSR-15 HTTP Basic Authentication Middleware",
        "homepage": "https://appelsiini.net/projects/slim-basic-auth",
        "keywords": [
            "auth",
            "middleware",
            "psr-15",
            "psr-7"
        ]
    },
    {
        "name": "tuupola/slim-jwt-auth",
        "version": "3.4.0",
        "version_normalized": "3.4.0.0",
        "source": {
            "type": "git",
            "url": "https://github.com/tuupola/slim-jwt-auth.git",
            "reference": "bdc87f7fffb04b2457910f6cf7bd83e29efb2f6b"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/tuupola/slim-jwt-auth/zipball/bdc87f7fffb04b2457910f6cf7bd83e29efb2f6b",
            "reference": "bdc87f7fffb04b2457910f6cf7bd83e29efb2f6b",
            "shasum": ""
        },
        "require": {
            "firebase/php-jwt": "^3.0|^4.0|^5.0",
            "php": "^7.1",
            "psr/http-message": "^1.0",
            "psr/http-server-middleware": "^1.0",
            "psr/log": "^1.0",
            "tuupola/callable-handler": "^0.3.0|^0.4.0|^1.0",
            "tuupola/http-factory": "^0.4.0|^1.0"
        },
        "require-dev": {
            "codedungeon/phpunit-result-printer": "^0.23.4",
            "equip/dispatch": "^2.0",
            "overtrue/phplint": "^1.0",
            "phpstan/phpstan": "^0.9.1",
            "phpunit/phpunit": "^6.0|^7.0",
            "squizlabs/php_codesniffer": "^3.4",
            "zendframework/zend-diactoros": "^1.3|^2.0"
        },
        "time": "2019-07-01T08:28:35+00:00",
        "type": "library",
        "extra": {
            "branch-alias": {
                "dev-3.x": "3.0.x-dev"
            }
        },
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "Tuupola\\Middleware\\": "src"
            }
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "Mika Tuupola",
                "email": "tuupola@appelsiini.net",
                "homepage": "https://appelsiini.net/",
                "role": "Developer"
            }
        ],
        "description": "PSR-7 and PSR-15 JWT Authentication Middleware",
        "homepage": "https://github.com/tuupola/slim-jwt-auth",
        "keywords": [
            "auth",
            "json",
            "jwt",
            "middleware",
            "psr-15",
            "psr-7"
        ]
    }
]
